ReadArchive "statics.vib"

Declare Ground = Shader [ FunctionalSurface [
  Color PlanarImageMapping(ImageFile("mastic.jpg", NORMALIZED), (u/18, 0, v/18), 0)
  NormalModifier PlanarBumpMapping(ImageFile("masticb.tga", NORMALIZED), (u/18, 0, v/18), 2)
  Kd 0.75
  Ks 0.25
  BlinnSpecularBRDF 8
 ]
]

static rock_map = SpectrumOfColors(
	 [0.000, '0.894, 0.886, 0.886', 0.154, '0.745, 0.745, 0.753']
	 [0.154, '0.745, 0.745, 0.753', 0.308, '0.902, 0.902, 0.859']
	 [0.308, '0.902, 0.902, 0.859', 0.444, '0.729, 0.706, 0.694']
	 [0.444, '0.729, 0.706, 0.694', 0.615, '0.588, 0.592, 0.635']
	 [0.615, '0.588, 0.592, 0.635', 0.803, '0.608, 0.616, 0.659']
	 [0.803, '0.608, 0.616, 0.659', 1.001, '0.894, 0.886, 0.886'])

Declare HolderShader = Shader [ FunctionalSurface [
  Color rock_map[scnoise(7*Po, 5)]
  Kd 0.7
  Ks(0.4, '1,1,1')
  Kb 1.5
  MetalAttribute 1.2
  ReitzSpecularBRDF 10
  Kr 0.12
 ]
]

static toto = 0.1

Declare Polyglass = Shader [ FunctionalSurface [
  Color '.753529, .472549, .753529'
  Ka 0.025
  Kd 0.0
  Ks 0.25
  Kt (0.985*|N . I|, 1.41, '1,1,1')
  Kr toto
  BlinnSpecularBRDF 8
  Caustics 0.35
  Iridescence(.2,.2,.2)
 ]
]

Declare Glass = Shader [ FunctionalSurface [
  Color '1,1,1'
  Ka 0.05
  Kd 0.015
  Ks 0.2
  Kt(0.985*|N . I|, 1.45, '1,1,1')
  Kr 0.1
  PhongSpecularBRDF 10
  Caustics(0.35, InternalCaustics)
  Dispersion(1.1, 12)
 ]
]